Name:           perl-HTTP-Thin
Version:        0.006
Release:        2%{?dist}
Summary:        Thin Wrapper around HTTP::Tiny to play nice with HTTP::Message
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTTP-Thin/
Source0:        http://www.cpan.org/authors/id/P/PE/PERIGRIN/HTTP-Thin-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time
BuildRequires:  perl(Class::Method::Modifiers)
BuildRequires:  perl(Hash::MultiValue)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(parent)
BuildRequires:  perl(Safe::Isa)
# Tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
HTTP::Thin is a thin wrapper around HTTP::Tiny adding the ability to pass
in HTTP::Request objects and get back HTTP::Response objects.

%prep
%setup -q -n HTTP-Thin-%{version}
sed -i -e '1s|#!.*perl|%(perl -MConfig -e 'print $Config{startperl}')|' ex/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc CHANGES README ex
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-2
- Perl 5.26 rebuild

* Tue Feb 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.006-1
- Initial release
